달력

112018  이전 다음

  •  
  •  
  •  
  •  
  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7
  • 8
  • 9
  • 10
  • 11
  • 12
  • 13
  • 14
  • 15
  • 16
  • 17
  • 18
  • 19
  • 20
  • 21
  • 22
  • 23
  • 24
  • 25
  • 26
  • 27
  • 28
  • 29
  • 30
  •  
AppFuse 의 메이븐 저장소에서 소스를 받아 가장 먼저 실행하는게 아마도 mvn 명령을 통한 빌드및 테스트 실행이라고 생각됩니다.

# 에러내용
최신버전인 2.1.0-M2 에서 실제로 mvn 을 통해 실행해보면 아래와 같은 에러가 발생합니다.
[INFO] [talledLocalContainer] Tomcat 6.x started on port [8081]
[INFO] [antrun:run {execution: default}]
[INFO] Executing tasks
Trying to override old definition of task retry
     [echo] Testing 'newspaper-service-1.0-SNAPSHOT' with locale 'ko'
[INFO] ------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO] ------------------------------------------------------------------------
[INFO] An Ant BuildException has occured: The following error occurred while executing this line:
D:\MyLucy\workspace\NEWSPAPER\newspaper-service\src\test\resources\web-tests.xml:7: Property copyright.year was circularly defined.

[INFO] ------------------------------------------------------------------------
[INFO] For more information, run Maven with the -e switch
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 37 seconds
[INFO] Finished at: Wed Jun 23 15:06:23 KST 2010
[INFO] Final Memory: 39M/95M
[INFO] ------------------------------------------------------------------------

# 해결방법
src/main/resources/ApplicationResources_ko.properties 파일을 열어서, 9번 라인에 보면. 아래와 같은 설정이 있습니다.
copyright.year=${copyright.year}

다음처럼 수정해주세요.
copyright.year=2009




Posted by 이동국

댓글을 달아 주세요

AppFuse 를 사용하여 eclipse 를 프로젝트로 변환하기 위해서는 두가지 명령어를 사용할 수 있습니다.
  1. mvn install eclipse:eclipse
  2. mvn eclipse:eclipse
# 에러내용
현재 최신버전인 2.1.0-M2 에서 실행해보니 아래와 같은 에러가 발생하네요.
[INFO] Request to merge when 'filtering' is not identical. Original=resource src/main/resources: output=target/classes, include=[], exclude=[ApplicationResources_de.properties|ApplicationResources_fr.properties|ApplicationResources_ko.properties|ApplicationResources_nl.properties|ApplicationResources_no.properties|ApplicationResources_pt*.properties|ApplicationResources_tr.properties|ApplicationResources_zh*.properties|applicationContext-resources.xml|struts.xml|**/*.java], test=false, filtering=true, merging with=resource src/main/resources:output=target/classes, include=[applicationContext-resources.xml|struts.xml],exclude=[**/*.java], test=false, filtering=false
[INFO] --------------------------------------------------------------

# 해결방법
2.1.0-M2 의 경우 maven-eclipse-plugin 을 2.7을 사용하도록 pom.xml 파일에 정의되어 있는데요. 이 설정에서 2.5.1을 사용하도록 수정하고 다시 실행하면 정상적으로 변환됩니다.
[INFO] Wrote settings to D:\MyLucy\workspace\NEWSPAPER\newspaper-service\.settings\org.eclipse.jdt.core.prefs
[INFO] Wrote Eclipse project for "newspaper-service" to D:\MyLucy\workspace\NEWSPAPER\newspaper-service.
[INFO]
       Sources for some artifacts are not available.
       List of artifacts without a source archive:
         o javax.servlet:jsp-api:2.0
         o mysql:mysql-connector-java:5.1.10
         o org.appfuse:appfuse-ibatis:2.1.0-M2-20100617.023311-29
         o org.appfuse:appfuse-data-common:2.1.0-M2-20100617.023311-29
         o org.appfuse:appfuse-web:2.1.0-M2-20100617.023311-26
         o org.appfuse:appfuse-service:2.1.0-M2-20100617.023311-26
         o jaxen:jaxen:1.1.1
         o stax:stax-api:1.0.1
         o asm:asm:2.2.3
         o javax.xml.soap:saaj-api:1.3
         o velocity-tools:velocity-tools-view:1.0
         o opensymphony:sitemesh:2.4.2
         o org.tuckey:urlrewritefilter:3.1.0
         o rhino:js:1.6R2

       Javadoc for some artifacts is not available.
       List of artifacts without a javadoc archive:
         o displaytag:displaytag:1.2
         o commons-lang:commons-lang:2.3
         o com.lowagie:itext:1.3
         o org.slf4j:jcl104-over-slf4j:1.4.2
         o org.slf4j:slf4j-log4j12:1.4.2
         o org.slf4j:slf4j-api:1.4.2
         o log4j:log4j:1.2.13
         o javax.servlet:jsp-api:2.0
         o javax.servlet:servlet-api:2.5
         o junit:junit:4.7
         o junit:junit-dep:4.5
         o org.hamcrest:hamcrest-core:1.1
         o mysql:mysql-connector-java:5.1.10
         o org.appfuse:appfuse-ibatis:2.1.0-M2-20100617.023311-29
         o org.appfuse:appfuse-data-common:2.1.0-M2-20100617.023311-29
         o javax.persistence:persistence-api:1.0
         o javax.xml.bind:jaxb-api:2.2
         o javax.xml.stream:stax-api:1.0-2
         o javax.activation:activation:1.1
         o org.springframework:spring-aop:3.0.3.RELEASE
         o aopalliance:aopalliance:1.0
         o org.springframework:spring-asm:3.0.3.RELEASE
         o org.springframework:spring-beans:3.0.3.RELEASE
         o org.springframework:spring-core:3.0.3.RELEASE
         o org.springframework:spring-jdbc:3.0.3.RELEASE
         o org.springframework:spring-tx:3.0.3.RELEASE
         o org.springframework:spring-context:3.0.3.RELEASE
         o org.springframework:spring-expression:3.0.0.RELEASE
         o org.springframework:spring-orm:3.0.3.RELEASE
         o org.springframework.security:spring-security-core:3.0.0.RELEASE
         o org.aspectj:aspectjrt:1.6.6
         o org.aspectj:aspectjweaver:1.6.6
         o org.springframework.security:spring-security-config:3.0.0.RELEASE
         o org.apache.ibatis:ibatis-sqlmap:2.3.4.726
         o org.springframework:spring-aspects:3.0.3.RELEASE
         o org.springframework:spring-context-support:3.0.3.RELEASE
         o org.springframework:spring-test:3.0.3.RELEASE
         o org.appfuse:appfuse-web:2.1.0-M2-20100617.023311-26
         o org.appfuse:appfuse-service:2.1.0-M2-20100617.023311-26
         o javax.mail:mail:1.4
         o velocity:velocity:1.4
         o velocity:velocity-dep:1.4
         o org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:1.0.1
         o wsdl4j:wsdl4j:1.6.2
         o org.apache.neethi:neethi:2.0.4
         o org.apache.cxf:cxf-common-schemas:2.2.4
         o com.sun.xml.bind:jaxb-impl:2.1.12
         o org.apache.abdera:abdera-core:0.4.0-incubating
         o org.apache.abdera:abdera-i18n:0.4.0-incubating
         o org.apache.abdera:abdera-parser:0.4.0-incubating
         o org.apache.ws.commons.axiom:axiom-impl:1.2.5
         o org.apache.ws.commons.axiom:axiom-api:1.2.5
         o jaxen:jaxen:1.1.1
         o org.apache.abdera:abdera-extensions-json:0.4.0-incubating
         o org.apache.abdera:abdera-extensions-main:0.4.0-incubating
         o org.apache.xmlbeans:xmlbeans:2.4.0
         o org.codehaus.woodstox:woodstox-core-asl:4.0.3
         o stax:stax-api:1.0.1
         o org.codehaus.woodstox:stax2-api:3.0.1
         o xml-resolver:xml-resolver:1.2
         o asm:asm:2.2.3
         o javax.xml.soap:saaj-api:1.3
         o com.sun.xml.messaging.saaj:saaj-impl:1.3.2
         o org.codehaus.jackson:jackson-jaxrs:1.2.1
         o org.codehaus.jackson:jackson-core-asl:1.2.1
         o org.codehaus.jackson:jackson-mapper-asl:1.2.1
         o xml-apis:xml-apis:1.0.b2
         o javax.servlet:jstl:1.1.2
         o taglibs:standard:1.1.2
         o struts-menu:struts-menu:2.4.3
         o velocity-tools:velocity-tools-view:1.0
         o opensymphony:sitemesh:2.4.2
         o org.springframework.security:spring-security-taglibs:3.0.0.RELEASE
         o org.springframework.security:spring-security-web:3.0.0.RELEASE
         o org.springframework.security:spring-security-acl:3.0.0.RELEASE
         o org.springframework:spring-webmvc:3.0.3.RELEASE
         o org.springframework:spring-web:3.0.3.RELEASE
         o org.tuckey:urlrewritefilter:3.1.0
         o org.hamcrest:hamcrest-library:1.1
         o org.springmodules:spring-modules-validation:0.8
         o oro:oro:2.0.8
         o antlr:antlr:2.7.6
         o rhino:js:1.6R2

[INFO] ------------------------------------------------------------------------
[INFO] BUILD SUCCESSFUL
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 2 minutes 40 seconds
[INFO] Finished at: Wed Jun 23 14:52:38 KST 2010
[INFO] Final Memory: 70M/172M
[INFO] ------------------------------------------------------------------------

Posted by 이동국

댓글을 달아 주세요

[이전 블로그 백업글][2007.9.5]

AppFuse의 FAQ페이지에 보면 몇가지 도움이 될만한 글이 있습니다. 몇가지 주요한 것을 정리해보면 다음과 같습니다.

1. AppFuse 2.x에서 maven대신에 ant를 사용하는 방법
basic archetypes로 프로젝트를 생성한 다음 순서대로 처리하면 된다. modular archetypes로 프로젝트 생성시 ant를 사용할수 없습니다.

* 프로젝트 디렉토리에서 mvn appfuse:full-source 를 실행한다.
* 프로젝트에 build.xml 를 다운로드해서 넣는다.
* build.xml 파일에서 “appfuse-light” 라고 지정된 부분을 프로젝트명으로 변경해준다.
* maven-artifact-ant-2.0.4-dep.jar 를 다운로드하고 프로젝트의 “lib” 디렉토리에 넣는다. 처음에는 “lib” 디렉토리가 없기 때문에 만들어줘야 한다.

2. 2.x를 tomcat과 함께 사용하기
AppFuse에서 기본적으로 사용하는 was는 jetty입니다. tomcat을 사용하기 위해서는 다음과 같은 추가적인 작업이 필요합니다.

* mvn jetty:run-war 를 실행한다- Jetty인스턴스를 실행하고 http://localhost:8080 에서 페이지를 볼수 있다.
* mvn cargo:start -Dcargo.wait=true 를 실행하면 애플리케이션이 tomcat에 디플로이되고 http://localhost:8081/applicationname-version 에서 페이지를 볼 수 있다.

pom.xml 에 Maven 2 Tomcat 플러그인을 추가하고 mvn tomcat:run 와 mvn tomcat:run-war 를 사용한다.


3. 이미 설치된 tomcat을 사용하고자 한다면

를 다음처럼 바꾼다. 즉 home 프로퍼티에 tomcat이 home디렉토리 위치를 지정해주면 된다.


4. 디폴트 ORM을 바꾸고자 한다면

pom.xml 파일에서 <dao .framework> 프로퍼티를 ibatis 나 jpa-hibernate 로 변경한다.
Posted by 이동국

댓글을 달아 주세요

[이전 블로그 백업글][2007.5.4]

현재 AppFuse에는 한글을 위한 properties파일이 배포판에 등록되어 있지 않습니다.
음. 제가 책임을 느끼는 중입니다. ^^..
심심하면 들여다보는 놈인데도 불구하고 아직도 제가 등록을 안해서 이번에 등록할려고 합니다.

일단 첨부하는 파일을 마음 있는 분은 적용해보시고 쓸만하거나 잘못된 부분이 있다면 덧글 남겨주세요.
음. 그러고보니 appfuse light도 해야 할텐데.. 할까요..?? 사용하시는 분이 있으신지를 모르니..
주말에 matt에게 메일을 보내 요청하겠습니다. 다음 버전에는 추가되어야 할텐데..
참. 어떻게 메일로 보내야 할까요..? 영작은 쥐약인데..

다운로드는 다음의 URL을 이용하세요.
http://openframework.or.kr/files/ApplicationResources_korean.properties

다음 명령으로 변환하셔야 합니다.

native2ascii -encoding UTF-8 ApplicationResources_korean.properties ApplicationResources_ko.properties
Posted by 이동국

댓글을 달아 주세요

[이전 블로그 백업글][2005.11.23]
이틀전 AppFuse 한글 문서를 Matt의 공식 AppFuse에 추가하고자 그에게 메일을 보냈었다. 오늘 아침. 그에게서 답장이 왔다.

DongGuk,

These translations look great!  Thanks for taking the time to do them.

I've cc'd the AppFuse User Mailing list so other Korean speaking
developers can take a look at your translations.

I can link to your wiki, or you can add them to the AppFuse wiki,
whichever you'd prefer.  If I link to them on your wiki - can you
please provide links back to the English versions?  The English
versions will always be up to date, whereas the translations are
sometimes out of date.  I change the code when I can, but am usually
unable to change the text (for obvious reasons).

Thanks!

Matt

영어가 가장 어려울때는 영작할때이다. 하고싶은 말은 많은데, 상대에게 나의 생각을 전달할수 있도록 영어로 문장을 만드는것은 너무 어렵다. 차라리 눈앞에 사람을 두고 말로 하는게 더. 효율적이지. 혹시 영작에 도움이 되는 책 없을까요..??
음 matt는 나에게 내가 원하는 방식으로 작업이 가능하도록 해주겠다고 하는거 같다. 링크도 해줄수 있고, 내가 직접 자신의 위키에 문서를 등록하게 해줄수도 있고…
사실 그의 wiki가 공식이고 아직 우리 위키를 모르는 한국개발자들의 그의 위키를 방문할수 밖에 없기 때문에, 효율적인면에서 보면 그의 위키에 내가 문서를 등록하는게 가장 좋을꺼 같다. 그래서 다음과 같이 메일을 보낼려고 한다. ^^

Matt

Because your AppFuse wiki is main AppFuse wiki,
I would like to add korean document to your AppFuse wiki.
Of course i can provide links back to the English versions.
I change my wiki to provice link back to the English versions,
and you can change my wiki document because my wiki don't use authentication.

DongGuk Lee
Posted by 이동국

댓글을 달아 주세요